/**
 * Created by ztt on 2018/9/22.
 */
export declare class TimeUtils {
    static FORMAT_FULL: string;
    static FORMAT_FULL_CN: string;
    static FORMAT_YMD: string;
    static FORMAT_YMD_CN: string;
    static FORMAT_HMS: string;
    static FORMAT_HMS_CN: string;
    private static START_TIME_SUFFIX;
    private static END_TIME_SUFFIX;
    /**
     * 某天时间
     * @param day
     * @returns {{start: string, end: string}}
     */
    static getDayTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 某周时间
     * @param num
     * @returns {string}
     */
    static getWeekTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 某月时间
     * @returns {Date}
     */
    static getMonthTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 某季度时间
     * @returns {string}
     */
    static getQuarterTime(num?: number): {
        start: string;
        end: string;
    };
    /**
     * 获取某年时间
     * @param num
     * @returns {{start: string, end: string}}
     */
    static getYearTime(num?: number): {
        start: string;
        end: string;
    };
    static getByMilliseconds(mise: number): string | null;
    /**
     * 时间格式化
     * @param date
     * @param format
     * @returns {string}
     */
    static format(date?: Date, format?: string): string;
}
//# sourceMappingURL=time-utils.d.ts.map